aboutsummaryrefslogtreecommitdiffstats
path: root/kernels/bonito/do.bash
diff options
context:
space:
mode:
authorNathan Chancellor <natechancellor@gmail.com>2019-10-14 12:30:41 -0700
committerNathan Chancellor <natechancellor@gmail.com>2019-10-14 13:46:22 -0700
commitb58d59d0f5461e39c1de5afd2e0a3646f52e0550 (patch)
tree23ca5cc35585f50b2a8edb24009de65431fa6810 /kernels/bonito/do.bash
parentkernels: crosshatch: use the crosshatch specific tag (diff)
downloadandroid-wireguard-module-builder-b58d59d0f5461e39c1de5afd2e0a3646f52e0550.tar.xz
android-wireguard-module-builder-b58d59d0f5461e39c1de5afd2e0a3646f52e0550.zip
kernels: add bonito
Signed-off-by: Nathan Chancellor <natechancellor@gmail.com>
Diffstat (limited to '')
-rw-r--r--kernels/bonito/do.bash6
1 files changed, 6 insertions, 0 deletions
diff --git a/kernels/bonito/do.bash b/kernels/bonito/do.bash
new file mode 100644
index 0000000..0bbc21a
--- /dev/null
+++ b/kernels/bonito/do.bash
@@ -0,0 +1,6 @@
+#!/bin/bash
+set -ex
+echo 'EXT_MODULES="${EXT_MODULES} wireguard"' >> private/msm-google/build.config.common
+echo 'ccflags-y += -Wno-unused-variable' >> WireGuard/src/Kbuild
+./build/build.sh
+readlink -f out/android-msm-pixel-4.9/dist/wireguard.ko >&7